Perl 6 - the future is here, just unevenly distributed

IRC log for #perl6-toolchain, 2016-01-14

| Channels | #perl6-toolchain index | Today | | Search | Google Search | Plain-Text | summary

All times shown according to UTC.

Time Nick Message
02:49 ilbot3 joined #perl6-toolchain
02:49 Topic for #perl6-toolchain is now Fire is step THREE! | https://github.com/perl6/toolchain-bikeshed | Channel logs: http://irclog.perlgeek.de/perl6-toolchain/today | useful prior art: https://metacpan.org/pod/CPAN::Meta::Spec
07:12 FROGGS joined #perl6-toolchain
07:19 nine That's decidedly odd. Most of all because the setup on travis seems to be exactly the same as on my desktop. Including running the zef command in $HOME
07:20 domidumont joined #perl6-toolchain
07:26 domidumont joined #perl6-toolchain
11:02 leont joined #perl6-toolchain
15:06 FROGGS joined #perl6-toolchain
17:13 ugexe What if you run it via -Ilib bin/zef install Inline::Perl5? If that works then it likely means `.install` thought Zef:ver<*> was already installed (so --force would also work) and left the old version installed which gets invoked by `zef`. I say this because your error looks like the one from before i changed resources. I imagine I should auto-force when the requested version :ver<*>
17:27 hankache joined #perl6-toolchain
17:33 Kassandry joined #perl6-toolchain
17:40 domidumont joined #perl6-toolchain
17:44 autarch leont: did you just submit a PR to add perl 5 modules to the p6 ecosystem?
17:44 autarch oh, I see you have 5 and 6 version
17:47 leont Yeah, they're both ports
17:47 [Coke] added.
17:48 leont :-)
17:49 leont I really like how simple it is to do the depth-first lazy iteration: https://github.com/Leont/build-simple6/blob/master/lib/Build/Simple.pm6#L25
17:57 nine ugexe: indeed! installing zef with --force fixed the issue :)
17:58 * nine put zef back up on perl6.org
20:39 alpha123 joined #perl6-toolchain

| Channels | #perl6-toolchain index | Today | | Search | Google Search | Plain-Text | summary